#### Linux From Scratch - Version r13.0-6

### Chapter 7. Entering Chroot and Building Additional Temporary Tools

- Prev

  Bison-3.8.2

- Next

  Python-3.14.3

- Up
- Home

# 7.9. Perl-5.42.1

The Perl package contains the Practical Extraction and Report Language.

Approximate build time: 0.6 SBU
Required disk space: 295 MB

## 7.9.1. Installation of Perl

Prepare Perl for compilation:

    sh Configure -des                                         \
                 -D prefix=/usr                               \
                 -D vendorprefix=/usr                         \
                 -D useshrplib                                \
                 -D privlib=/usr/lib/perl5/5.42/core_perl     \
                 -D archlib=/usr/lib/perl5/5.42/core_perl     \
                 -D sitelib=/usr/lib/perl5/5.42/site_perl     \
                 -D sitearch=/usr/lib/perl5/5.42/site_perl    \
                 -D vendorlib=/usr/lib/perl5/5.42/vendor_perl \
                 -D vendorarch=/usr/lib/perl5/5.42/vendor_perl

The meaning of the Configure options:

`-des`

  This is a combination of three options: -d uses defaults for all items; -e ensures completion of all tasks; -s silences non-essential output.

`-D vendorprefix=/usr`

  This ensures perl knows how to tell packages where they should install their Perl modules.

`-D useshrplib`

  Build `libperl` needed by some Perl modules as a shared library, instead of a static library.

`-D privlib,-D archlib,-D sitelib,...`

  These settings define where Perl looks for installed modules. The LFS editors chose to put them in a directory structure based on the MAJOR.MINOR version of Perl (5.42) which allows upgrading Perl to newer patch levels (the patch level is the last dot separated part in the full version string like 5.42.1) without reinstalling all of the modules.

Compile the package:

    make

Install the package:

    make install

Details on this package are located in Section 8.44.2, “Contents of Perl.”

- Prev

  Bison-3.8.2

- Next

  Python-3.14.3

- Up
- Home